Subject: Re: [PATCH v5 1/8] misc: Add support for LAN966x PCI device

From: Greg Kroah-Hartman <[email-masked]>
Date: Tue, 13 Aug 2024 11:57:15 +0200

On Thu, Aug 08, 2024 at 05:46:50PM +0200, Herve Codina wrote:
> Add a PCI driver that handles the LAN966x PCI device using a device-tree
> overlay. This overlay is applied to the PCI device DT node and allows to
> describe components that are present in the device.
> 
> The memory from the device-tree is remapped to the BAR memory thanks to
> "ranges" properties computed at runtime by the PCI core during the PCI
> enumeration.
> 
> The PCI device itself acts as an interrupt controller and is used as the
> parent of the internal LAN966x interrupt controller to route the
> interrupts to the assigned PCI INTx interrupt.
> 
> Signed-off-by: Herve Codina <[email-masked]>

misc device is fine, even if it's not really one :)

Acked-by: Greg Kroah-Hartman <[email-masked]>